/*

  Setup script for EZirc

  Creates folder and various other objects
  Adjust DRIVE letters in INI for paths.

*/

Call Init

say 'Welcome to EZirc'
say ''

say 'please wait while I create WPS objects'

dir = directory()

id = dir"\html\EZIRC.HTML"
exename = dir'\EZIRC.EXE'

call ModifyINI
call CreateObjects
call SysOpenObject "<EZIRC_FLDR>","DEFAULT","TRUE"
return

ModifyINI:
/* adjust driver letters in ezirc.ini from x: to install_drive */
call loadINI
call SearchnReplace
Call saveINI
return

CreateObjects:

    If  SysCreateObject("WPFolder","EZirc for Os/2 ","<WP_DESKTOP>","OBJECTID=<EZIRC_FLDR>") then
    do
          If SysCreateObject("WPProgram", "EZirc", "<EZIRC_FLDR>","EXENAME="exename";STARTUPDIR="dir";PROGTYPE=PM")  Then
          do
               Say 'Folder and program objects have been created'
               url1 = 'file:///'directory()'\html\ezirc.html'
               rc = SysCreateObject( 'WPUrl', 'EZirc Manual', '<EZIRC_FLDR>', 'OBJECTID=<EZIRC_MANUAL>;URL='url1';', 'replace' )
          end
          Else
             Say 'Could not create program object'
    End
    Else
       Say 'Could not create folder '

return


Init :

  call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
  call SysLoadFuncs

  /* trace ?r' */
return

LoadINI:

lines.0=0
source= dir"\ezirc.ini"
   /* open file for read */
   resultCode = stream( source , 'C', 'OPEN READ')
   if resultCode  \= 'READY:' then
   do
      say 'stream open of 'source' returned "'resultCode'"'
      exit
   end
   /* load each line and store in array lines */
   do while lines( source )
      newline = linein( source )
      /* Store lines in Array LINES */
      count= lines.0 + 1
      lines.0 = count
      lines.count=newline
   end
   /* close file */
   resultCode = stream( source, 'C', 'CLOSE')
   if resultCode  \= 'READY:' then
   do
      say 'stream close returned "'resultCode'"'
      exit
   end

Return

SearchnReplace:
/* Search for X: and replace with dir:\path */

do i=1 to lines.0
   dlexist = pos('x:',lines.i)
   if dlexist > 0
    then
      do
      lines.i = delstr(lines.i,dlexist,2)
      lines.i = insert(dir,lines.i,dlexist-1)
      end
    else
      NOP
end

Return

saveINI:
   '@del 'source
   /* open file for write */
   resultCode = stream( source , 'C', 'OPEN WRITE')
   if resultCode  \= 'READY:' then
   do
      say 'stream open of 'source' returned "'resultCode'"'
      exit
   end

   /* load each line and store in array lines */
   do i=1 to lines.0
      writeline = lines.i
      rc = lineout( source , writeline )
   end

   /* close file */
   resultCode = stream( source, 'C', 'CLOSE')
   if resultCode  \= 'READY:' then
   do
      say 'stream close returned "'resultCode'"'
      exit
   end

return

